function relax_axes(p)
% RELAX_AXES Increase the size of the axes by p% in each direction
% function relax_axes(p)
%
% This makes points on the boundary easier to see


xlim=get(gca,'xlim'); w=xlim(2)-xlim(1); s=p*w;
set(gca,'xlim',[xlim(1)-s xlim(2)+s])
ylim=get(gca,'ylim'); w=ylim(2)-ylim(1); s=p*w;
set(gca,'ylim',[ylim(1)-s ylim(2)+s])
