function marginal = marginal_family(engine, i)
% MARGINAL_FAMILY Compute the marginal on the specified family (jtree)
% marginal = marginal_family(engine, i)

bnet = bnet_from_engine(engine);
fam = family(bnet.dag, i);
c = engine.clq_ass_to_node(i);

ns = bnet.node_sizes;
bigd = engine.cliques{c};
ns(bnet.observed) = 1;

bigsizes = ns(bigd);
marginal.domain = fam;

marginal.T = marg_table(engine.clpot{c}, bigd, bigsizes, fam, engine.maximize);
