function [clpot, seppot] = collect_evidence(engine, clpot, seppot)
% COLLECT_EVIDENCE Do message passing from leaves to root (children then parents)
% [clpot, seppot] = collect_evidence(engine, clpot, seppot)

ndx_type = engine.ndx_type;
for n=engine.postorder 
  for p=engine.postorder_parents{n}
    marg_ndx = get_ndx(engine.marg_cl_onto_sep_ndx_id(n,p), ndx_type);
    mult_ndx = get_ndx(engine.mult_cl_by_sep_ndx_id(p,n), ndx_type);
    
    seppot{p,n} = marg_table_ndx(clpot{n}, engine.maximize, marg_ndx, ndx_type);
    clpot{p} = mult_by_table_ndx(clpot{p}, seppot{p,n}, mult_ndx, ndx_type);
  end
end

