function Tsmall = marg_table_ndxD(Tbig, maximize, ndx)
% MULT_BY_TABLE_NDX Tbig *= Tsmall
% function Tbig = mult_by_table_ndxD(Tbig, Tsmall, ndx)

N = length(Tbig);
D = length(ndx);
S = N / D;
if D == 1
   Tsmall = Tbig;
   return;
end   
if S==1
   if maximize
      Tsmall = max(Tbig(:));
   else
      Tsmall = sum(Tbig(:));
   end
   return;
end

used = zeros(1,N);
index = zeros(S,D);
pointer = 1;
temp = zeros(1,D);
ndx = double(ndx);
for i=1:S
   while used(pointer)== 1
      pointer = pointer + 1;
   end
   temp = ndx + pointer;
   index(i,:) = temp;
   used(temp) = 1;
   pointer = pointer + 1;
end
if maximize
  Tsmall = max(Tbig(index), [], 2);
else
  Tsmall = sum(Tbig(index), 2);
end
