
%create chunkelts for the UCI datasets using the random oracle:

% qs - query size: will determine pos/neg ration (depends on number of classes).
% per - percentage of data in chunklets.
% labels - vector of labels for each of the data points.
% num_realizations - the number of differnet chunklet realizations needed.

function [ChunkletsMat, anti, AntiFull]= UCIconstraints(qs,per,labels,num_realizations);

N= length(labels);
qn= ceil(N*per/qs);

for i=1:num_realizations

  [ ChunkletsMat(i,:) , map , anti{i} ,AntiFull{i} ]=randomOracleSim(qn,qs,labels);
end
