function b = back1(engine, bfuture, f, t)

if t ~= 1
  error('mixed up time stamps')
end
bnet = bnet_from_engine(engine);
ss = bnet.nnodes_per_slice;
ndx_type = engine.ndx_type;

int = engine.interface;
D = engine.in_clq; % from J2
C = engine.int_clq1; % from J1

id = engine.marg_inclq_onto_int_ndx_id;
ndx = get_ndx(id, ndx_type);
phiD = marg_table_ndx(bfuture.clpot{D}, engine.maximize, ndx, ndx_type);

id = engine.marg_intclq1_onto_int_ndx_id;
ndx = get_ndx(id, ndx_type);
phiC = marg_table_ndx(f.clpot{C}, engine.maximize, ndx, ndx_type);

id = engine.mult_int_onto_int_ndx_id;
ndx = get_ndx(id, ndx_type);
ratio = divide_by_table_ndx(phiD, phiC, ndx, ndx_type);

id = engine.mult_int_onto_intclq1_ndx_id;
ndx = get_ndx(id, ndx_type);
f.clpot{C} = mult_by_table_ndx(f.clpot{C}, ratio, ndx, ndx_type);

[b.clpot, seppot] = distribute_evidence(engine.jtree_engine1, f.clpot, f.seppot);
for c=1:length(b.clpot)
  [b.clpot{c}, lik] = normalise(b.clpot{c});
  ll(c) = log(lik + (lik==0)*eps);  
end
b.t = t;
