/*
 * MATLAB Compiler: 2.1
 * Date: Mon Jul 22 19:18:20 2002
 * Arguments: "-B" "macro_default" "-O" "all" "-O" "fold_scalar_mxarrays:on"
 * "-O" "fold_non_scalar_mxarrays:on" "-O" "optimize_integer_for_loops:on" "-O"
 * "array_indexing:on" "-O" "optimize_conditionals:on" "-x" "-W" "mex" "-L" "C"
 * "-t" "-T" "link:mexlibrary" "libmatlbmx.mlib" "-v" "myrepmat.m" 
 */

#ifndef MLF_V2
#define MLF_V2 1
#endif

#include "libmatlb.h"
#include "myrepmat.h"
#include "repmat.h"

static mexFunctionTableEntry function_table[2]
  = { { "myrepmat", mlxMyrepmat, 2, 1, &_local_function_table_myrepmat },
      { "repmat", mlxRepmat, 3, 1, NULL } };

static _mexInitTermTableEntry init_term_table[1]
  = { { InitializeModule_myrepmat, TerminateModule_myrepmat } };

static _mex_information _mex_info
  = { 1, 2, function_table, 0, NULL, 0, NULL, 1, init_term_table };

/*
 * The function "Mrepmat" is the MATLAB callback version of the "repmat"
 * function from file "/usr/local/matlab6/toolbox/matlab/elmat/repmat.m". It
 * performs a callback to MATLAB to run the "repmat" function, and passes any
 * resulting output arguments back to its calling function.
 */
static mxArray * Mrepmat(int nargout_, mxArray * A, mxArray * M, mxArray * N) {
    mxArray * B = mclGetUninitializedArray();
    mclFevalCallMATLAB(
      mclNVarargout(nargout_, 0, &B, NULL), "repmat", A, M, N, NULL);
    return B;
}

/*
 * The function "mexLibrary" is a Compiler-generated mex wrapper, suitable for
 * building a MEX-function. It initializes any persistent variables as well as
 * a function table for use by the feval function. It then calls the function
 * "mlxMyrepmat". Finally, it clears the feval table and exits.
 */
mex_information mexLibrary(void) {
    return &_mex_info;
}

/*
 * The function "mlfRepmat" contains the normal interface for the "repmat"
 * M-function from file "/usr/local/matlab6/toolbox/matlab/elmat/repmat.m"
 * (lines 0-0). This function processes any input arguments and passes them to
 * the implementation version of the function, appearing above.
 */
mxArray * mlfRepmat(mxArray * A, mxArray * M, mxArray * N) {
    int nargout = 1;
    mxArray * B = mclGetUninitializedArray();
    mlfEnterNewContext(0, 3, A, M, N);
    B = Mrepmat(nargout, A, M, N);
    mlfRestorePreviousContext(0, 3, A, M, N);
    return mlfReturnValue(B);
}

/*
 * The function "mlxRepmat" contains the feval interface for the "repmat"
 * M-function from file "/usr/local/matlab6/toolbox/matlab/elmat/repmat.m"
 * (lines 0-0). The feval function calls the implementation version of repmat
 * through this function. This function processes any input arguments and
 * passes them to the implementation version of the function, appearing above.
 */
void mlxRepmat(int nlhs, mxArray * plhs[], int nrhs, mxArray * prhs[]) {
    mxArray * mprhs[3];
    mxArray * mplhs[1];
    int i;
    if (nlhs > 1) {
        mlfError(
          mxCreateString(
            "Run-time Error: File: repmat Line: 1 Column: "
            "1 The function \"repmat\" was called with mor"
            "e than the declared number of outputs (1)."));
    }
    if (nrhs > 3) {
        mlfError(
          mxCreateString(
            "Run-time Error: File: repmat Line: 1 Column: "
            "1 The function \"repmat\" was called with mor"
            "e than the declared number of inputs (3)."));
    }
    for (i = 0; i < 1; ++i) {
        mplhs[i] = mclGetUninitializedArray();
    }
    for (i = 0; i < 3 && i < nrhs; ++i) {
        mprhs[i] = prhs[i];
    }
    for (; i < 3; ++i) {
        mprhs[i] = NULL;
    }
    mlfEnterNewContext(0, 3, mprhs[0], mprhs[1], mprhs[2]);
    mplhs[0] = Mrepmat(nlhs, mprhs[0], mprhs[1], mprhs[2]);
    mlfRestorePreviousContext(0, 3, mprhs[0], mprhs[1], mprhs[2]);
    plhs[0] = mplhs[0];
}
