
function [outputMats]= getSimilarityMats(inputMats)

%since original output is a similarity matrix, only need to normalize values to be between 0 to 1
[outputMats.initial]= getBoundedSimilarity(inputMats.initial);
[outputMats.final]= getBoundedSimilarity(inputMats.final);

if(isfield(inputMats,'evolution'))
  for i=1:length(inputMats.evolution)
    [outputMats.evolution{i}]= getBoundedSimilarity(inputMats.evolution{i});
  end
end

