
%RUN simBoostUCI.m on different settings - for aharon

%'No iniitialization is done : assuming it has been done before'
%add_boost_to_path
%add_BP_to_path
clear all

dataNames= { 'proteinData','ionosphereData','balanceData','bostonData','pimaDiabetesData','breastData'};
cComponentsPer= [0.15 0.3, 0.5 0.9];

%this shouldn't bother you unless you're trying to save results.
saveDirRoot= '/net/dumbledore/mnt/sda2/tomboy/UCI/ICMLresults04/';
savePath= [saveDirRoot,''];
%savePath= 'M:\Data\Aharon\m_files\boosting\images\C4_5PP\'

%loadPath='M:\Data\Aharon\data_sets\matFiles\';
loadPath= '/cs/esci/tomboy/vis1/UCI/matFiles/';

CPind=3;        % Chunklet Procentage indexs
Ks=[ 1, 2, 3 , 5 ];    % Nearest neighbors k to gather statistics for.

SVMRCA=[ 0 2 2 2 2 2 ]; 
SVMREP=[ 0 0 0 1 1 0 ];

for stat=1:1
  for dataIndex=[ 1 ] 
    tic;
    %[FinalHyp,NZ,NP,KNN,DevelopementStats,MogParams]= ...
     %   simBoostUCIclustering(dataNames{dataIndex},cComponentsPer(CPind),Ks,savePath,SVMRCA(dataIndex),SVMREP(dataIndex));
    [FinalHyp,NP,KNN,DevelopementStats,MogParams]= ...
        testDistBoost(dataNames{dataIndex},loadPath,cComponentsPer(CPind),Ks);

    TM(stat,dataIndex)=toc;
  end
end
TM