%perform binary line search for the best parameters Alpha using the
%current computed gradient of the funtion Y.

function [newAlphas , fval]= lineSearch(logPF,naiveWeightsP,AlphasP,...
    gradientYP)
global naiveWeights;
global Alphas;
global gradientY;

tol=1e-4;		% x tolerance for general pf line search


%disp('in line search ??????')
% copy parameters into global variables in order to use them in calcY.
naiveWeights=naiveWeightsP;
Alphas=AlphasP;
gradientY=gradientYP;

%compute currrent value of Y. ( for debug )
currY=  -logPF + naiveWeights*log(Alphas)';  

low= 0;

[high] = findMaximalGradientCoefficient(Alphas,gradientY)*0.99;

[x,fval,exitflag,output] = fminbnd('calcY2',low,high,optimset('TolX',tol*high,'Display','off'));
   
newAlphas= Alphas+x*gradientY;

% a check for gradient ascent (only for debug )
% currZ=calculate_partition_function2(newAlphas);
% currY=-logPF + naiveWeights*log(newAlphas)';


